Bug 1195762 (CVE-2015-8983) - CVE-2015-8983 glibc: _IO_wstr_overflow integer overflow
Summary: CVE-2015-8983 glibc: _IO_wstr_overflow integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8983
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1195763 1209107
Blocks: 1187112 1195765 1210268
TreeView+ depends on / blocked
 
Reported: 2015-02-24 14:10 UTC by Martin Prpič
Modified: 2019-09-29 13:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow flaw, leading to a heap-based buffer overflow, was found in glibc's _IO_wstr_overflow() function. An attacker able to make an application call this function could use this flaw to crash that application or, potentially, execute arbitrary code with the permissions of the user running the application.
Clone Of:
Environment:
Last Closed: 2015-11-24 08:29:13 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2199 0 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2015-11-19 08:04:22 UTC

Description Martin Prpič 2015-02-24 14:10:37 UTC
An integer overflow flaw, leading to a heap-based buffer overflow, was found in glibc's _IO_wstr_overflow() function. If an application used this function, it could cause the application to crash or, potentially, execute arbitrary code with the privileges of the user running the application.

Upstream issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=17269

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bdf1ff052a8e23d637f2c838fa5642d78fcedc33

Comment 1 Martin Prpič 2015-02-24 14:11:22 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1195763]

Comment 3 Huzaifa S. Sidhpurwala 2015-09-08 07:24:31 UTC
CVE request via:

http://openwall.com/lists/oss-security/2015/09/08/2

Comment 4 errata-xmlrpc 2015-11-19 04:16:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2199 https://rhn.redhat.com/errata/RHSA-2015-2199.html

Comment 5 Andrej Nemec 2017-02-15 09:14:19 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q1/437


Note You need to log in before you can comment on or make changes to this bug.